# KM3Book Docker Image

This is the KM3Book Docker image which will spawn a working JupyterLab instance
on your own computer, containing `Jpp`, `aanet v1` and `km3pipe`.

It will automatically mount your `$HOME/notebooks` folder as a working
directory where you can access all the files and notebooks, even when the
Docker container is not running.

To start up, simply launch the `startup.sh` script. The very first time, it
needs to download a few GB of data, but consecutive runs will be faster:

    startup.sh

To access the JupterLab instance, click on the link shown in the terminal --
and leave that terminal open!

If you want to work with Jpp/aanet/km3pipe in the terminal inside Jupyter,
create a new terminal window, ignore the error message and simply launch
Bash by typing `bash`. You will have a fully working terminal session with
all the software activated.